ATTENTION:  A recent security enhancement made to the Dutchess County website require that browsers be (reasonably) up to date.  If your PC has the Windows XP operating system, you will not be able to upgrade the Internet Explorer browser program beyond version 8, but you can install another browser such as Google Chrome or Firefox.

For  Internet Explorer versions 9 & 10,  go to Tools Internet options and then click on the Advance Tab.  Scroll down the list and check off - use TSL 1.1 and use TSL 1.2


 

Accessibility

 

Listen button image Listen to webpage

 

Increase and decrease text size Change text size

 




- Home -   |   - Legal Statements -   |   - How to Use this Site -   |   - Contact Us -

    Last Updated: 6/9/2015